%define languageenglazy Korean
%define languagecode    ko
%define lc_ctype        ko_KR

Name:           hunspell-%{languagecode}
Version:        0.5.3
Release:        %mkrel 6
Summary:        %{languageenglazy} hunspell dictionaries
License:        MPLv1.1 or GPLv2 or LGPLv2
Group:          System/Internationalization
URL:            http://code.google.com/p/spellcheck-ko/
Source0:        http://spellcheck-ko.googlecode.com/files/hunspell-dict-ko-%{version}.tar.gz

BuildRequires:  python-lxml
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ko
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# There is nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n hunspell-dict-ko-%{version}

%build
make

%install
install -D -m 0644 -p ko.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ko.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%check
make test

%files
%doc README LICENSE LICENSE.GPL LICENSE.LGPL LICENSE.MPL
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-6.mga3
+ Revision: 353522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.5.3-5.mga3
+ Revision: 325543
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.5.3-4.mga2
+ Revision: 224716
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.5.3-3.mga2
+ Revision: 208491
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 0.5.3-2.mga2
+ Revision: 202111
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 0.5.3-1.mga2
+ Revision: 120153
- Update to 0.5.3

* Sat Mar 12 2011 dmorgan <dmorgan> 0.5.0-2.mga1
+ Revision: 68889
- imported package hunspell-ko

